SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPFAREC_APPROVAL_LIMIT';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	
	select count(1) 
	into l_total_extracted
      from   ar_approval_user_limits aul,
      	     fnd_user fu
      where  aul.user_id = fu.user_id
      and    substr(fu.user_name, 1, 4) = l_code;
		
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_AR_APPROVAL_USER_LIMITS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
